summaryrefslogtreecommitdiffstats
path: root/source/n
diff options
context:
space:
mode:
Diffstat (limited to 'source/n')
-rwxr-xr-xsource/n/gpgme/gpgme.SlackBuild4
-rwxr-xr-xsource/n/ntp/ntp.SlackBuild5
-rw-r--r--source/n/ntp/ntp.glibc-2.34.diff11
3 files changed, 17 insertions, 3 deletions
diff --git a/source/n/gpgme/gpgme.SlackBuild b/source/n/gpgme/gpgme.SlackBuild
index 6b5b91a94..c336c7c7f 100755
--- a/source/n/gpgme/gpgme.SlackBuild
+++ b/source/n/gpgme/gpgme.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gpgme
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -77,7 +77,7 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-CFLAGS="$SLKCFLAGS" \
+CFLAGS="$SLKCFLAGS -D_FILE_OFFSET_BITS=64" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
diff --git a/source/n/ntp/ntp.SlackBuild b/source/n/ntp/ntp.SlackBuild
index e68125b8e..d3104b041 100755
--- a/source/n/ntp/ntp.SlackBuild
+++ b/source/n/ntp/ntp.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=ntp
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-8}
+BUILD=${BUILD:-9}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -68,6 +68,9 @@ cd ntp-${VERSION}* || exit 1
zcat $CWD/ntp.nano.diff.gz | patch -p1 --verbose || exit 1
+# glibc-2.34+ fix from from https://www.linuxfromscratch.org/blfs/view/svn/basicnet/ntp.html
+zcat $CWD/ntp.glibc-2.34.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 2777 -o -perm 2755 -o -perm 2775 \) \
diff --git a/source/n/ntp/ntp.glibc-2.34.diff b/source/n/ntp/ntp.glibc-2.34.diff
new file mode 100644
index 000000000..2f0dd2914
--- /dev/null
+++ b/source/n/ntp/ntp.glibc-2.34.diff
@@ -0,0 +1,11 @@
+--- ./libntp/work_thread.c.orig 2018-08-14 06:51:06.000000000 -0500
++++ ./libntp/work_thread.c 2022-02-12 21:55:02.381012379 -0600
+@@ -41,7 +41,7 @@
+ #ifndef THREAD_MINSTACKSIZE
+ # define THREAD_MINSTACKSIZE (64U * 1024)
+ #endif
+-#ifndef __sun
++#if !defined(__sun) && !defined(__GLIBC__)
+ #if defined(PTHREAD_STACK_MIN) && THREAD_MINSTACKSIZE < PTHREAD_STACK_MIN
+ # undef THREAD_MINSTACKSIZE
+ # define THREAD_MINSTACKSIZE PTHREAD_STACK_MIN